## org.eclipse.emf.exporter.ui
Class EMFExportWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.exporter.ui.EMFExportWizard

All Implemented Interfaces:
  IWizard, IWorkbenchWizard

    public class EMFExportWizard

extends Wizard
implements IWorkbenchWizard

Since:
  2.2.0

Nested Class Summary
`class` `EMFExportWizard.SelectionPage`

Field Summary
`protected IFile` `modelFile`
`protected IStructuredSelection` `selection`
`protected ModelConverterDescriptorSelectionPage` `selectionPage`
`protected IWorkbench` `workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EMFExportWizard()`
`EMFExportWizard(IFile modelFile)`

Method Summary
`void` `addPages()`
`protected void` `adjustModelExporterWizard(IWorkbenchWizard workbenchWizard, ModelExporterDescriptor modelExporterDescriptor)`
`boolean` `canFinish()`
`void` `dispose()`
`protected ImageDescriptor` `getDefaultImageDescriptor()`
`protected java.util.List<ModelExporterDescriptor>` `getModelExporterDescriptors()`
`protected void` `init()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### selection

    protected IStructuredSelection selection

### workbench

    protected IWorkbench workbench

### modelFile

    protected IFile modelFile

### selectionPage

    protected ModelConverterDescriptorSelectionPage selectionPage

Constructor Detail

### EMFExportWizard

    public EMFExportWizard()

### EMFExportWizard

    public EMFExportWizard(IFile modelFile)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWizard`
  Overrides:
    `dispose` in class `Wizard`

### getDefaultImageDescriptor

    protected ImageDescriptor getDefaultImageDescriptor()

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`

### init

    protected void init()

### getModelExporterDescriptors

    protected java.util.List<ModelExporterDescriptor> getModelExporterDescriptors()

### adjustModelExporterWizard

    protected void adjustModelExporterWizard(IWorkbenchWizard workbenchWizard,
                                             ModelExporterDescriptor modelExporterDescriptor)

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `IWizard`
  Overrides:
    `canFinish` in class `Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.